from django.template import Library
from django.urls import resolve, reverse
from django.utils.translation import activate, get_language
from datetime import datetime

import re

import logging
logger = logging.getLogger(__name__)

register = Library()

@register.simple_tag
def format_time(timestamp: datetime, format: str = "%F %H:%M:%S %Z") -> str:
    return timestamp.strftime(format)
